This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 91252 - XIM fails in gtk2 apps
XIM fails in gtk2 apps
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gtk2 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-20 10:17 EDT by Yang Zengxu
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-05 12:44:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yang Zengxu 2003-05-20 10:17:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.4b; MultiZilla
v1.4.0.4A) Gecko/20030516

Description of problem:
Under this locale XIM server fails to input Chinese.
My ~/.i18n file:
LC_MESSAGES=en_US.UTF-8
LANG=zh_CN.gb18030
locale shows:
LANG=zh_CN.gb18030
LC_CTYPE="zh_CN.gb18030"
LC_NUMERIC="zh_CN.gb18030"
LC_TIME="zh_CN.gb18030"
LC_COLLATE="zh_CN.gb18030"
LC_MONETARY="zh_CN.gb18030"
LC_MESSAGES=en_US.UTF-8
LC_PAPER="zh_CN.gb18030"
LC_NAME="zh_CN.gb18030"
LC_ADDRESS="zh_CN.gb18030"
LC_TELEPHONE="zh_CN.gb18030"
LC_MEASUREMENT="zh_CN.gb18030"
LC_IDENTIFICATION="zh_CN.gb18030"
LC_ALL=
While in QT3 and GTK1.x applications I can input Chinese.

Version-Release number of selected component (if applicable):
gtk2-2.2.1-4

How reproducible:
Always

Steps to Reproduce:
1.Edit ~/.i18n according to the description
2.login in and run startx
3.
    

Actual Results:  Can't input Chinese in (only) GTK2.x applications.

Expected Results:  Should be able to input Chinese.

Additional info:
Comment 1 Owen Taylor 2003-05-20 12:04:53 EDT
What XIM server? 

(It's almost certainly a bug in your XIM server; GTK+-2.0 uses
input methods in more sophisticated way than say GTK+-1.2, so
may reveal other bugs.)
Comment 2 Yang Zengxu 2003-05-20 20:39:51 EDT
I used miniChinput and fcitx,both failed.If I comment out LC_MESSAGES in
~/.i18n,then everything is OK.So what is in GTK+2.0 XIM related to LC_MESSAGES?I
thought XIM server should only be affected by LANG or LC_CTYPE.
Comment 3 Owen Taylor 2003-09-05 12:44:05 EDT
Ah we used to use LC_MESSAGES to pick the default input method; the
default input method doesn't use XIM for en_US. Should be OK in 2.2.3 and 
higher. A workaround for earlier versions is to export GTK_IM_MODULE=xim.

Fri Aug 15 16:54:39 2003  Owen Taylor  <otaylor@redhat.com>

        [...]
                                                                                
        * gtk/gtkimmulticontext.c (gtk_im_multicontext_get_slave):
        Use LC_CTYPE instead of LC_MESSAGES to pick the default
        input method.

Note You need to log in before you can comment on or make changes to this bug.